from django.shortcuts import render_to_response, redirect

from django.contrib.auth import authenticate, login, logout
from django.contrib.auth.decorators import login_required

from workshop.reg import forms as reg_forms

def login(request):
    """ get the user object from e-mail and then check for password.
    """

    user = request.user
    if user.is_authenticated():
        return redirect('/reg')

    if request.method == "POST":
        form = reg_forms.LoginForm(request.POST)
        if form.is_valid():
            email = form.cleaned_data['email']
            password = form.cleaned_data['password']
            username = User.objects.get(email__iexact=email)

            user = authenticate(username, password)
            login(request, user)
            return redirect('/reg')
        else:
            return render_to_response('login.html', {'form':form})
    else:
        form = LoginForm()
        return render_to_response('login.html', {'form':form})
